FDeformer2D Struct Reference
Filtering and combining

`#include <mia/2d/deformer.hh>`

Inheritance diagram for FDeformer2D:
[legend]
Collaboration diagram for FDeformer2D:
[legend]

## Public Member Functions

| FDeformer2D (const C2DFVectorfield &vf, const C2DInterpolatorFactory &ipfac)
template<typename T>
P2DImage | operator() (const T2DImage< T > &image) const
template<typename T>
void | operator() (const T2DImage< T > &image, T2DImage< T > &result) const

## Additional Inherited Members

Public Types inherited from TFilter< P2DImage >
typedef P2DImage | result_type
| defines the return type of the filter function

## Detailed Description

Deform an image by using a dense vector field as transformation.

Remarks
  obsolete-should be done by using C2DTransform

Definition at line 38 of file 2d/deformer.hh.

## Constructor & Destructor Documentation

## FDeformer2D()

FDeformer2D::FDeformer2D | ( | const C2DFVectorfield & | vf,
|  | const C2DInterpolatorFactory & | ipfac )

inline

Construor taking the

Parameters

  vf | vector field defining the transformation like T(x) := x - vf(x)
  ipfac | the interpolation factory used for image interpolation

Definition at line 45 of file 2d/deformer.hh.

## Member Function Documentation

## operator()() [1/2]

template<typename T>

P2DImage FDeformer2D::operator() | ( | const T2DImage< T > & | image | ) | const

inline

Operator to run the transformation like a filter to be called by mia::filter

Template Parameters

  T | pixel type if the input image

Parameters

  image | the input image

Returns
  the transformed image

Definition at line 58 of file 2d/deformer.hh.

References T2DImage< T >::begin(), TPluginHandler< I >::begin(), T2DImage< T >::data(), and C2DImage::get_size().

## operator()() [2/2]

template<typename T>

void FDeformer2D::operator() | ( | const T2DImage< T > & | image,
|  | T2DImage< T > & | result ) const

inline

Operator to transform the image and store the result in a pre-allocated image

Parameters

  [in] | image | the input image
  [out] | result | the output image

Definition at line 80 of file 2d/deformer.hh.

References T2DImage< T >::begin(), TPluginHandler< I >::begin(), T2DImage< T >::data(), and C2DImage::get_size().

The documentation for this struct was generated from the following file:

- 2d/deformer.hh